- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# Ghulbus::gbException Class Reference

The Exceptions thrown by the objects of the ghulbus library. More...

`#include <gbException.hpp>`

Inheritance diagram for Ghulbus::gbException:

List of all members.

## Public Types
enum | GBERROR { GB_OK = 0, GB_FAILED, GB_OUTOFMEMORY, GB_ILLEGALPARAMETER, GB_INVALIDCONTEXT, GB_NOTIMPLEMENTED }
## Public Member Functions
| gbException () throw ()
| Default constructor Sets errorcode to GB_FAILED and errorstring to NULL.
| gbException (GBERROR e) throw ()
| Constructor.
| gbException (GBERROR e, const char *str) throw ()
| Constructor.
| gbException (gbException const &e) throw ()
| Copy constructor.
virtual | ~gbException () throw ()
| Destructor.
char const * | GetErrorString () const throw ()
| Get the errorstring if supplied; returns empty string otherwise.
GBERROR | GetErrorCode () const throw ()
| Get the errorcode of this exception.
gbException & | operator= (gbException const &e) throw ()
| Copy assignment.
virtual char const * | what () const throw ()
| Get a message describing the nature of the exception.

## Detailed Description

The Exceptions thrown by the objects of the ghulbus library.

## Member Enumeration Documentation

enum Ghulbus::gbException::GBERROR

Enumerator:

  GB_OK | No errors.
  GB_FAILED | General failure.
  GB_OUTOFMEMORY | Not enough memory.
  GB_ILLEGALPARAMETER | Illegal function parameter.
  GB_INVALIDCONTEXT | Illegal function context.
  GB_NOTIMPLEMENTED | Feature not yet implemented.

## Constructor & Destructor Documentation

Ghulbus::gbException::gbException | ( | GBERROR | e | ) | throw ()

Constructor.

Parameters:

  `[in]` | e | Errorcode

Ghulbus::gbException::gbException | ( | GBERROR | e,
|  | const char * | str |
| ) |  |  | throw ()

Constructor.

Parameters:

  `[in]` | e | Errorcode
  `[in]` | str | C-style string describing the error

## Member Function Documentation

char const * Ghulbus::gbException::GetErrorString | ( |  | ) | const throw ()

Get the errorstring if supplied; returns empty string otherwise.

Returns:
  A reference to m_errorstring

gbException::GBERROR Ghulbus::gbException::GetErrorCode | ( |  | ) | const throw ()

Get the errorcode of this exception.

Returns:
  A copy of m_errorcode

char const * Ghulbus::gbException::what | ( |  | ) | const throw ()`[virtual]`

Get a message describing the nature of the exception.

Returns:
  A C-style string representation of m_errorcode

The documentation for this class was generated from the following files:

- gbLib/include/gbException.hpp
- gbLib/src/gbException.cpp